[tox]
envlist = pylint,pre-commit,docs

[testenv:pre-commit]
extras = dev
commands = pre-commit run --all-files --show-diff-on-failure

[testenv:pylint]
extras = dev
commands = pylint workflow_nodes --disable=fixme

[testenv:docs]
extras = docs
commands = sphinx-build -W -b html -d {envtmpdir}/doctrees docs/source {envtmpdir}/html
